org.apache.felix.ipojo.online.manipulator

## Class BundleAwareJarFileResourceStore

- java.lang.Object
- - org.apache.felix.ipojo.manipulator.store.JarFileResourceStore
  - - org.apache.felix.ipojo.online.manipulator.BundleAwareJarFileResourceStore

All Implemented Interfaces:
  org.apache.felix.ipojo.manipulator.ResourceStore

    public class BundleAwareJarFileResourceStore
    extends org.apache.felix.ipojo.manipulator.store.JarFileResourceStore

User: guillaume Date: 28/02/2014 Time: 19:16

### Constructor Summary

Constructors
Constructor and Description
`BundleAwareJarFileResourceStore(JarFile source, File target, org.osgi.framework.BundleContext bundleContext)`

### Method Summary

All Methods Instance Methods Concrete Methods
`byte[]` `read(String path)`

### Methods inherited from class org.apache.felix.ipojo.manipulator.store.JarFileResourceStore

`accept, close, open, setClassLoader, setManifest, setManifestBuilder, setResourceMapper, toByteArray, write, writeMetadata`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BundleAwareJarFileResourceStore

    public BundleAwareJarFileResourceStore(JarFile source,
                                           File target,
                                           org.osgi.framework.BundleContext bundleContext)
                                    throws IOException

Parameters:
  `source` - original Bundle
  `target` - File where the updated Bundle will be outputted
Throws:
  `IOException` - if there is an error retrieving the Manifest from the original JarFile

### Method Detail

#### read

    public byte[] read(String path)
                throws IOException

Specified by:
  `read` in interface `org.apache.felix.ipojo.manipulator.ResourceStore`
Overrides:
  `read` in class `org.apache.felix.ipojo.manipulator.store.JarFileResourceStore`
Throws:
  `IOException`